/*
	地区
*/
Plug.area={
	/**缓存内容
	 *  
	 * @access    public 
	 * @param     string  key  字符串
	 * @param     function  func  回调函数
	 * @param     string  path 路径
	 * @return    bloo
	 */
	getCity:function(func){
		var self=this;
		var ip=App.config.ip;
		var url='http://ip.aliyun.com/service/getIpInfo.php?ip='+ip;
		api.ajax({
			url:url,
			method: 'get'
		}, function(ret){
			if(ret.code==0)
			{
				self.getId(ret.data,func);
			}
			else
			{
				func && func({status:false,data:'城市获取失败'});
			}
		});
	},
	getId:function(item,func){
		Plug.open('linkage',function(){
			Plug.linkage.get('area',function(ret){
				if(ret.status)
				{
					var data=ret.data;
					var province=item.region;
					var city=item.city;
					var carea=0;
					for(var i=0;i<data[0].son.length;i++)
					{
						var key=data[0].son[i];
						if(data[key].title.indexOf(province)>-1)
						{
							carea=key;
							if(city && data[carea].son)
							{
								for(var j=0;j<data[carea].son.length;j++)
								{
									var key=data[carea].son[j];
									if(data[key].title.indexOf(city)>-1)
									{
										carea=key;
										break;
									}
								}
							}
							break;
						}
					}
					if(carea)
					{
						func && func({status:true,data:carea});
					}
					else
					{
						func && func({status:false,data:'城市获取失败'});
					}
					
				}
				else
				{
					func && func({status:false,data:'城市获取失败'});
				}
			});
		})
	}
}