//答案电子书
var Channel_daanebook={
	c:-53,
	inc:'daanebook',
	url:'http://daan.xuezizhai.com/index.php?s=80&module=answer',
	//url:'http://i.xuezizhai.com/app.php?xp=module&xm=answer',
	/*
	请求服务器获取数据
	item 请求参数
	func 回调函数
	*/
	getData:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url+'&view=app';
			getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	},
	/*
	请求服务器获取数据
	item 请求参数
	func 回调函数
	*/
	safeData:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url+'&view=app';
			safeData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	},
	//收藏
	stow:{
		istable:0,
		item:{start:0},
		cacheover:0,//缓存数据是否完毕
		remoteover:0,//远程数据是否完毕
		//打开我的收藏
		open:function(){
			App.Win.open({name:Channel_daanebook.inc+'/stow'});
		},
		//发送收藏申请
		send:function(aid,func,isstow){
			var item ={aid:aid,cm:'stow',isstow:isstow};
			Channel_daanebook.getData(item,function(ret){
				//收藏成功 更新缓存
				if(ret.status==3)
				{
					Channel_daanebook.stow.add(ret.data);//添加到缓存
					Channel_daanebook.stow.indexadd(ret.data);//添加到首页
				}
				//取消收藏 更新缓存
				else if(ret.status==2)
				{
					Channel_daanebook.stow.del(ret.data);//删除缓存
					Channel_daanebook.stow.indexdel(ret.data);//删除首页收藏
				}
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			});
		},
		//查询数据
		get:function(item,func){
			var table=this.getTable();
			
			//不支持缓存
			if(!table)
			{
				this.remote(func);
				return;
			}
			
			if(typeof(item)!='object') item={};
			var sql='SELECT ';
			var field=item.field || '*';
			sql+=field;
			sql+=' FROM '+table;
			sql+=' WHERE mid='+item.mid;
			sql+=' ORDER BY addtime DESC';
			
			var limit=item.limit || 10;
			sql+=' LIMIT '+limit;
			
			if(item.start) sql+=' OFFSET '+item.start;
			
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				if(ret.data.length>0)
				{
					func && func({status:3,data:ret.data});
				}
				else
				{
					this.remote(func);
				}
			}
			else
			{
				this.remote(func);
			}
		},
		//远程服务器
		remote:function(func){
			var param={cm:'stowlist'};
			Channel_daanebook.getData(param,function(ret){
				//数据返回成功
				if(ret.status==3)
				{
					if(ret.data.length>0)
					{
						//如果缓存表存在  保持数据到缓存表
						var table=Channel_daanebook.stow.getTable();
						if(table)
						{
							for(var i=0;i<ret.data.length;i++)
							{
								Channel_daanebook.stow.add(ret.data[i]);
							}
						}
						func && func(ret);
					}
					else
					{
						func && func({status:1,data:'数据载入完毕'});
					}
				}
				else
				{
					func && func(ret);
				}
			})
		},
		//添加收藏
		add:function(item){
			
			var table=this.getTable();
			//获取表失败 不支持缓存
			if(!table) return;
			
			var sql='SELECT * FROM '+table+' WHERE aid='+item.aid+' AND mid='+item.mid;
			var ret=Db.selectSqlSync(sql);
			var date=new Date();
			var checktime=parseInt(date.getTime()/1000);
			var fields=['aid','mid','addtime','title','litpic','cl1name','cl2name','cl3name','cl4name','cl26name'];

			if(ret.data.length>0)
			{
				var update='';
				update+='checktime='+checktime;
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						update+=','+fields[i]+'=\''+$api.trim(item[fields[i]])+'\'';			
					}
				}
				var sql='UPDATE '+table+' SET '+update+' WHERE aid='+item.aid+' AND mid='+item.mid;
			}
			else
			{
				var field='checktime';
				var val=checktime;
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						field+=','+fields[i];
						val+=',\''+$api.trim(item[fields[i]])+'\'';					
					}
				}
				var sql='INSERT INTO '+table+'('+field+') VALUES('+val+')';				
			}
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		},
		//添加 到首页
		indexadd:function(item){
			var str=$api.jsonToStr(item);
			var jsfun = 'Stow.add('+str+');';
			api.execScript({
				name: 'root',
				frameName:'index/index',
				script: jsfun
			});
			var jsfun = 'Stow.add('+item.aid+');';
			api.execScript({
				name: 'root',
				frameName:'daanebook/push',
				script: jsfun
			});
		},
		//取消收藏
		del:function(item){
			var table=this.getTable();
			
			//支持缓存
			if(table)
			{
				var sql='DELETE FROM '+table+' WHERE aid='+item.aid+' AND mid='+item.mid;
				var ret=Db.executeSqlSync(sql);
				if(ret.status)
				{
					return true;
				}		
			}
			return false;
		},
		//删除 到首页
		indexdel:function(item){
			var jsfun = 'Stow.del('+item.aid+');';
			api.execScript({
				name: 'root',
				frameName:'index/index',
				script: jsfun
			});
			var jsfun = 'Stow.del('+item.aid+');';
			api.execScript({
				name: 'root',
				frameName:'daanebook/push',
				script: jsfun
			});
		},
		//检测是否收藏
		check:function(aid,mid){
			if(!mid) return false;
			var table=this.getTable();
			if(!table)
			{
				//表不存在 不支持缓存
				return false;
			}
			var sql='SELECT * FROM '+table+' WHERE aid='+aid+' AND mid='+mid;
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				if(ret.data.length>0) return true;
			}
			return false;
		},
		getTable:function(){
			var table='daan_stow';
			if(this.istable) return table;
			var sql='SELECT * FROM '+table+' ORDER BY addtime DESC LIMIT 1 ';
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				this.istable=true;
				return table;
			}
			
			//创建表
			var sql='CREATE TABLE '+table+'(aid int,mid int,addtime int,checktime int, title varchar(255), litpic varchar(255), cl1name varchar(255), cl2name varchar(255), cl3name varchar(255), cl4name varchar(255), cl26name varchar(255))';
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				this.istable=true;
				return table;
			}
			return false;
		},
		//清空表
		clear:function(){
			var table=this.getTable();
			if(!table) return true;
			var sql='DELETE FROM '+table;
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		},
		//删除表
		drop:function(){
			var table=this.getTable();
			if(!table) return true;
			var sql='DROP TABLE '+table;
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		}
	},
	record:{//浏览记录
		istable:0,
		item:{start:0},
		//打开我的收藏
		open:function(){
			App.Win.open({name:Channel_daanebook.inc+'/record'});
		},
		//查询数据
		get:function(item,func){
			var table=this.getTable();
			//不支持缓存
			if(!table)
			{
				func && func({status:1,data:'开发中...'});
				return;
			}
			
			if(typeof(item)!='object') item={};
			var sql='SELECT ';
			var field=item.field || '*';
			sql+=field;
			sql+=' FROM '+table;
			sql+=' ORDER BY addtime DESC';
			
			var limit=item.limit || 10;
			sql+=' LIMIT '+limit;
			
			if(item.start) sql+=' OFFSET '+item.start;
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				if(ret.data.length>0)
				{
					func && func({status:3,data:ret.data});
					return;
				}
			}
			func && func({status:1,data:'完毕'});
		},
		//添加
		add:function(item){
			var table=this.getTable();
			//获取表失败 不支持缓存
			if(!table) return;
			var sql='SELECT * FROM '+table+' WHERE aid='+item.aid;
			var ret=Db.selectSqlSync(sql);
			var date=new Date();
			var addtime=parseInt(date.getTime()/1000);
			var checktime=addtime;
			var fields=['aid','title','litpic','cl1name','cl2name','cl3name','cl4name','cl26name'];

			if(ret.data.length>0)
			{
				var update='';
				update+='checktime='+checktime;
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						update+=','+fields[i]+'=\''+$api.trim(item[fields[i]])+'\'';			
					}
				}
				var sql='UPDATE '+table+' SET '+update+' WHERE aid='+item.aid;
			}
			else
			{
				var field='addtime,checktime';
				var val=addtime+','+checktime;
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						field+=','+fields[i];
						val+=',\''+$api.trim(item[fields[i]])+'\'';					
					}
				}
				var sql='INSERT INTO '+table+'('+field+') VALUES('+val+')';				
			}
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		},
		getTable:function(){
			var table='daanebook_record';
			if(this.istable) return table;
			var sql='SELECT * FROM '+table+' ORDER BY addtime DESC LIMIT 1 ';
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				this.istable=true;
				return table;
			}
			
			//创建表
			var sql='CREATE TABLE '+table+'(aid int,addtime int,checktime int, title varchar(255), litpic varchar(255), cl1name varchar(255), cl2name varchar(255), cl3name varchar(255), cl4name varchar(255), cl26name varchar(255))';
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				this.istable=true;
				return table;
			}
			return false;
		},
		//清空表
		clear:function(){
			var table=this.getTable();
			if(!table) return true;
			var sql='DELETE FROM '+table;
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		},
		//删除表
		drop:function(){
			var table=this.getTable();
			if(!table) return true;
			var sql='DROP TABLE '+table;
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		}
	},
	/*
		推送
	*/
	push:{
		load:0,
		item:{area:0,cl1:0,start:0,limit:10},
		isframeFull:0,
		table:'',//缓存表
		cacheover:0,//缓存数据是否完毕
		remoteover:0,//远程数据是否完毕
		set:function(item){
			item=item || {};
			
			this.item.area=item.area || 0;
			this.item.cl1=item.cl1 || 0;
			this.item.start=item.start || 0;
			this.item.limit=item.limit || 10;
			
			this.cacheover=0;
			this.remoteover=0;		

			this.table=this.getTable();
			if(!this.table) return false;
			//this.drop();return;
			return true;
		},
		//下拉刷新
		get:function(func){
			//如果表存在
			if(this.table)
			{
				this.cache(func);
			}
			else
			{
				this.remote(func);
			}
		},
		//获取缓存数据
		cache:function(func){
			//缓存数据调用完毕 调用远程数据
			if(this.cacheover==1)
			{
				this.remote(func);
				return;
			}

			var sql='SELECT * FROM '+this.table;
			
			sql+=' WHERE 1';
			if(this.item.area) sql+=' AND area='+this.item.area;
			if(this.item.cl1) sql+=' AND cl1='+this.item.cl1;

			sql+=' ORDER BY level DESC,ord DESC ';
			if(this.item.limit) sql+=' LIMIT '+this.item.limit;
			if(this.item.start) sql+=' OFFSET '+this.item.start;

			var ret=Db.selectSqlSync(sql);
			
			if(ret.status)
			{
				if(ret.data.length>0)
				{
					this.item.start+=ret.data.length;
					func && func({status:3,data:ret.data});
				}
				else
				{
					//查询缓存数据为空时 清空缓存
					if(this.item.start==0)
					{
						var sql='DELETE FROM '+this.table;
						var ret=Db.executeSqlSync(sql);
					}
					this.cacheover=1;
					this.remote(func);
				}
			}
			else
			{
				this.cacheover=1;
				this.remote(func);
			}
		},
		//远程数据
		remote:function(func){
			//远程数据加载完毕
			if(this.remoteover==1)
			{
				func && func({status:1,data:'加载完毕'});
				return;
			}
			
			var item=this.item;
			item.cm='push';
			Channel_daanebook.getData(item,function(ret){
				//数据返回成功
				if(ret.status==3)
				{
					if(ret.data.length>0)
					{
						Channel_daanebook.push.item.start+=ret.data.length;
						//如果缓存表存在  保持数据到缓存表
						if(Channel_daanebook.push.table)
						{
							for(var i=0;i<ret.data.length;i++)
							{
								Channel_daanebook.push.add(ret.data[i]);
							}
						}
						func && func({status:3,data:ret.data});
						return;
					}
				}
				Channel_daanebook.push.remoteover=1;
				func && func({status:1,data:'加载完毕'});
			})
		},
		//数据更新
		update:function(one){
			var item=this.item;
			item.start=0;
			item.edittime=one.edittime;
			item.cm='push';
			Channel_daanebook.getData(item,function(ret){
				//数据返回成功
				if(ret.status==3)
				{
					if(ret.data.length>0)
					{
						//如果缓存表存在  保持数据到缓存表
						if(D.area.table)
						{
							for(var i=0;i<ret.data.length;i++)
							{
								D.area.add(ret.data[i]);
							}
						}
					}
				}
				//更新检测时间
				if(D.area.table)
				{
					var date=new Date();
					var checktime=parseInt(date.getTime()/1000);
					var sql='UPDATE '+D.area.table+' SET checktime='+checktime+' WHERE aid='+one.aid;
					var ret=Db.executeSqlSync(sql);
				}
			})
		},
		//添加答案
		add:function(item){
			var fields=['aid','area','cl1','level','ord','edittime','title','litpic','cl1name','cl2name','cl3name','cl4name','cl9name','cl26name','schoolname','areaname'];
			var cl1=this.item.cl1 || 0;
			
			var where='aid='+item.aid;
			
			var sql='SELECT * FROM '+this.table+' WHERE '+where;
			var ret=Db.selectSqlSync(sql);
			var date=new Date();
			var checktime=parseInt(date.getTime()/1000);
			if(ret.data.length>0)
			{
				var update='';
				update+='checktime='+checktime;
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						update+=','+fields[i]+'=\''+$api.trim(item[fields[i]])+'\'';			
					}
				}
				var sql='UPDATE '+this.table+' SET '+update+' WHERE '+where;
			}
			else
			{
				var field='checktime';
				var val=checktime;
				item.cl1=this.item.cl1;
				item.area=this.item.area;
				
				for(var i=0;i<fields.length;i++)
				{
					if(item[fields[i]])
					{
						field+=','+fields[i];
						val+=',\''+$api.trim(item[fields[i]])+'\'';					
					}
				}
				var sql='INSERT INTO '+this.table+'('+field+') VALUES('+val+')';
			}
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		},
		//获取缓存表
		getTable:function(){
			var table='daanebook_push';
			//检测表是否存在
			var cl1=this.item.cl1 || 0;
			var sql='SELECT * FROM '+table+' WHERE cl1='+cl1+' ORDER BY edittime DESC LIMIT 1 ';
			var ret=Db.selectSqlSync(sql);
			if(ret.status)
			{
				if(ret.data.length>0)
				{
					var item=ret.data[0];
					var date=new Date();
					var checktime=parseInt(date.getTime()/1000);
					//每三小时请求服务器是否更新
					var intevel=60*60*3;
					if(checktime-item.checktime>intevel)
					{
						this.update(item);
					}
				}
				return table;
			}
			
			//创建表
			var sql='CREATE TABLE '+table+'(aid int,area int,cl1 int,level int,ord int,edittime int, title varchar(255), litpic varchar(255), cl1name varchar(255), cl2name varchar(255), cl3name varchar(255),cl4name varchar(255),cl26name varchar(255),cl9name varchar(255), areaname varchar(255),schoolname varchar(255),checktime int)';
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return table;
			}
			return false;
		},
		//删除表
		drop:function(){
			var sql='DROP TABLE '+this.table;
			var ret=Db.executeSqlSync(sql);
			if(ret.status)
			{
				return true;
			}
			return false;
		}
	},
	/*
		打开内容
	*/
	article:function(aid){
		var self=this;
		var savepath=self.inc+'/article';
		var getnum=function(day){
			day=day || 1;
			var table=self.record.getTable();
			//不支持缓存
			if(!table)
			{
				Log.system('不支持sqlite 无法限制用户浏览',4);
				return 0;
			}
			var nowtime = Date.parse(new Date())/1000;
			nowtime=nowtime-24*60*60*day;
			
			var sql='SELECT COUNT(aid) as num FROM '+table+' WHERE addtime>'+nowtime;
			var ret=Db.selectSqlSync(sql);
			//无记录
			if(!ret.status) return 0;
			
			//浏览记录小于10
			if(ret.data.length==0) return 0;
			return ret.data[0].num;
		}
		
		var startopen=function(para){
			var item={name:self.inc+'/article'};
			item.para=para;
			App.Win.open(item);
		}
		//远程服务
		var remote=function(){
			var item={cm:'article',aid:aid};
			self.safeData(item,function(ret){
				if(ret.status==3)
				{
					startopen(ret.data);
					Plug.open('cache',function(){
						Plug.cache.set(aid,ret.data,function(){},savepath,24*60*60);
					})
				}
				else
				{
					api.toast({msg:ret.data});
				}
			})
		}
		//检测用户浏览是否达到上限
		var check=function(){
			App.getconfig(function(ret){
				var daynum=ret.daynum || Config.daynum;//每天浏览上限
				var monthnum=ret.monthnum || Config.monthnum;//每月浏览上限
				daynum=parseInt(daynum);
				monthnum=parseInt(monthnum);
				//每天浏览上限
				if(getnum(1)>daynum)
				{
					api.alert({msg:'你的浏览已经达到上限，请24小时候后继续浏览'});
					return;
				}
				//月浏览上限
				if(getnum(30)>monthnum)
				{
					api.alert({msg:'你的浏览已经达到上限，请稍后浏览'});
					return;
				}
				remote();
			});
		}
		
		//本地缓存
		Plug.open('cache',function(){
			Plug.cache.get(aid,function(ret){
				if(ret.status)
				{
					startopen(ret.data);
				}
				else
				{
					check();
				}
			},savepath);
		})
	},
	//反馈
	feedback:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url+'&view=feedbacknew';
			getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	},
	//错误检测
	examine:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url+'&view=examine';
			getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	}
}