//答案电子书
var Channel_news={
	inc:'news',
	url:'http://zx.xuezizhai.com/index.php?s=80&module=news',
	config:{addscore:10,delscore:1,isclick:0},
	cachepath:'news/config',
	/*
	请求服务器获取数据
	item 请求参数
	func 回调函数
	*/
	getData:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url;
			getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	},
	/*
	请求服务器获取数据
	item 请求参数
	func 回调函数
	*/
	safeData:function(item,func,data){
		if(typeof(item)!='object')
		{
			if(typeof(func)=='function')
			{
				func && func({status:false,data:'请求参数不正确'});
			}
		}
		else
		{
			var url=this.url+'&view=app';
			safeData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			},data,url)		
		}
	},
	//初始化
	init:function(func){
		var self=this;
		var date=new Date();
		var nowtime=date.getStamp();
		
		var remote=function(){
			var item={cm:'appconfig'};
			self.getData(item,function(ret){
				if(ret.status==3)
				{
					self.config=ret.data;
					self.config.expiretime=nowtime+60*60*2;
					Plug.open('cache',function(){
						Plug.cache.set('config',ret.data,function(){},self.cachepath);
					})
				}
				else
				{
					api.toast({msg:ret.data});
				}
				if(typeof(func)=='function') func && func(self.config);
				func='';
			})
			
			//防止服务器无反应
			setTimeout(function(){
				if(typeof(func)=='function') func && func(self.config);
				func='';
			},1000);
		}
		
		//初始化
		App.init(function(ret){
			//本地缓存
			Plug.open('cache',function(){
				Plug.cache.get('config',function(ret){
					if(ret.status)
					{
						self.config=ret.data;
						//
						if(self.config.expiretime<nowtime)
						{
							remote();
						}
						else
						{
							func && func(self.config);
						}
					}
					else
					{
						remote();
					}
				},self.cachepath);
			})
		})
	},
	//分类
	cat:function(func){
		var self=this;
		var date=new Date();
		var nowtime=date.getStamp();
		
		var remote=function(lists){
			var para={view:'cat',cm:'lists'};
			Channel_news.getData(para,function(ret){
				if(typeof(func)=='function') func && func(ret);
				func='';
				if(ret.status==3)
				{
					var item={};
					item.lists=ret.data;
					item.expiretime=nowtime+60*60*2;
					Plug.open('cache',function(){
						Plug.cache.set('cat',item,function(){},self.cachepath);
					})
				}
			});
			
			//防止服务器无反应
			setTimeout(function(){
				if(lists)
				{
					var item={status:3,data:lists};
				}
				else
				{
					var item={status:1,data:'不存在'};
				}
				if(typeof(func)=='function') func && func(item);
				func='';
			},1000);
		}
		
		//本地缓存
		Plug.open('cache',function(){
			Plug.cache.get('cat',function(ret){
				if(ret.status)
				{
					var item=ret.data;
					//
					if(item.expiretime<nowtime)
					{
						remote(item.lists);
					}
					else
					{
						func && func({status:3,data:item.lists});
					}
				}
				else
				{
					remote();
				}
			},self.cachepath);
		})
	},
	//浏览记录
	article:{
		istable:0,
		item:{start:0},
		//打开我的收藏
		open:function(aid){
			App.Win.open({name:Channel_news.inc+'/article',para:{aid:aid}});
		},
		//获取内容
		get:function(aid,func){
			var ret=Channel_news.article.getItem(aid);
			//缓存 存在
			if(ret.status)
			{
				var item=ret.data;
				if(item.isopen!=1)
				{
					if(item.label)
					{
						var label=item.label.split(',');
						var labelname=item.labelname.split(',');
						var score=parseInt(Channel_news.config.addscore);
						for(var i=0;i<label.length;i++)
						{
							var ret=Channel_news.label.score(label[i],score,labelname[i]);
						}
					}
					var post={};
					post.isopen=1;
					var table=Channel_news.article.getTable();
					var ret=Db.update(table,post,'aid='+item.aid);
				}
				if(typeof(func)=='function') func && func({status:true,data:item});
			}
			else //缓存不存在 请求服务器数据
			{
				var self=this;
				var para={view:'article',cm:'get',aid:aid};
				
				Channel_news.getData(para,function(ret){
					if(ret.status==3)
					{
						var item=ret.data;
						var ret=self.add(item);
						//添加成功
						if(ret.status)
						{
							self.get(aid,func);
						}
						else //添加失败
						{
							if(typeof(func)=='function') func && func({status:true,data:item});
						}
					}
					else
					{
						if(typeof(func)=='function') func && func({status:false,msg:'已删除'});
					}
				})
			}
			
			//开启点击统计
			if(parseInt(Channel_news.config.isclick)==1)
			{
				var para={view:'article',cm:'click',aid:aid};
				Channel_news.getData(para,function(ret){});				
			}
		},
		//查询数据
		getItem:function(aid){
			var table=this.getTable();
			//不支持缓存
			if(!table) return false;
			var param={};
			param.where=[];
			param.where='aid ='+aid;
			return Db.getItem(table,param);
		},
		check:function(lists){
			var table=this.getTable();
			//不支持缓存
			if(!table) return lists;
			
			var param={};
			var aids=[];
			for(var i=0;i<lists.length;i++)
			{
				var aid=lists[i].aid;
				aids.push(aid);
			}
			param.field='aid';
			param.where='aid IN('+aids.join(',')+')';
			var ret=Db.getLists(table,param);
			
			//查询错误
			if(!ret.status) return lists;
			
			var inaids={};
			for(var i=0;i<ret.data.length;i++)
			{
				var aid=ret.data[i].aid;
				inaids[aid]=aid;
			}

			var lists2=[];
			for(var i=0;i<lists.length;i++)
			{
				var aid=lists[i].aid;
				var item=lists[i];	
				if(inaids[aid]) continue;
				
				this.add(item);
				lists2.push(item);
			}
			return lists2;
		},
		//添加
		add:function(item){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,msg:'表不存在'};
			
			var post={};
			post.aid=item.aid;
			post.title=item.title || '';
			post.fromtype=item.fromtype || 0;
			post.litpictype=item.litpictype || 0;
			post.litpic=item.litpic || '';
			post.litpic2=item.litpic2 || '';
			post.litpic3=item.litpic3 || '';
			post.litpic4=item.litpic4 || '';
			post.label=item.label || '';
			post.labelname=item.labelname || '';
			post.body=item.body || '';
			var date=new Date();
			post.edittime=date.getStamp();
			post.pubdate=item.pubdate || post.edittime;
			var ret=Db.insert(table,post);
			return ret;
		},
		drop:function(){
			var table='news_article';
			if(this.istable) return table;
			var ret=Db.drop(table);
			api.alert({msg:ret});
		},
		getTable:function(){
			var table='news_article';
			if(this.istable) return table;
			
			var ret=Db.isTable(table);
			if(ret.status)
			{
				this.istable=1;
				return table;
			}
			var field='aid int PRIMARY KEY,pubdate int,edittime int,title varchar(255),fromtype int,litpictype int, litpic varchar(255), litpic2 varchar(255), litpic3 varchar(255), litpic4 varchar(255),label TEXT,labelname TEXT,body TEXT,isopen int';
			var ret=Db.create(table,field);
			if(ret.status)
			{
				this.istable=1;
				return table;
			}
			return false;
		}
	},
	/*
		收藏
	*/
	stow:{
		//打开
		open:function(){
			var self=this;
			Channel_member.isLogin(function(status,ret){
				//已登陆
				if(status==3)
				{
					App.Win.open({name:Channel_news.inc+'/stow'});
				}
				else
				{
					Channel_member.openlogin(function(ret){
						self.open();
					});
				}
			});
		},
		//检测
		check:function(article,func){
			var item={view:'stow',cm:'check',article:article};
			Channel_news.getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			});
		},
		//添加
		add:function(article,func){
			var item={view:'stow',cm:'add',article:article};
			Channel_news.getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			});
		},
		//删除
		del:function(article,func){
			var item={view:'stow',cm:'del',article:article};
			Channel_news.getData(item,function(ret){
				if(typeof(func)=='function')
				{
					func && func(ret);
				}
			});
		}
	},
	/*
		标签
	*/
	label:{
		istable:0,
		//打开标签
		open:function(aid){
			var ret=this.getItem(aid);
			//缓存 存在
			if(ret.status)
			{
				var item=ret.data;
				if(item.title)
				{
					App.Win.open({name:Channel_news.inc+'/label',para:item});
					return;
				}
				var iscache=1;
			}
			else
			{
				var iscache=0;
			}
			//缓存不存在 请求服务器数据
			var self=this;
			var para={view:'label',cm:'get',aid:aid};
			
			Channel_news.getData(para,function(ret){
				if(ret.status==3)
				{
					var item=ret.data;
					if(iscache==1)
					{
						var ret=self.edit({title:item.title,aid:aid});
					}
					else
					{
						var ret=self.add({title:item.title,aid:aid});
					}
					//添加成功
					if(ret.status)
					{
						self.open(aid);
					}
					else //添加失败
					{
						App.Win.open({name:Channel_news.inc+'/label',para:item});
					}
				}
				else
				{
					api.toast({msg:'标签已删除'});
				}
			})
		},
		getData:function(){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,data:'表不存在'};
			
			//0 标签id
			//1 标签开始id
			//2 标签结束id
			var label=[];
			
			var item={};
			
			var date=new Date();
			var nowtime=date.getStamp();
			
			var ret=this.getItem(0);			
			
			if(ret.status)
			{
				//无新内容
				if(nowtime<ret.data.expiretime)
				{
					return {status:false,data:'没有最新内容'};
				}
				if(ret.data.body)
				{
					var arr=JSON.parse(ret.data.body);
					var start=parseInt(arr[0][0]);
					var end=parseInt(arr[0][1]);					
				}
				else
				{
					var start=0;
					var end=0;
				}

			}
			else
			{
				var start=0;
				var end=0;
			}
			
			label.push([0,start,end]);

			var param={};
			param.where=[];
			param.where.push('aid>0');
			param.where.push('expiretime<'+nowtime);

			param.order='score DESC';
			param.limit='3';
			
			var ret=Db.getLists(table,param);
			if(ret.status && ret.data.length>0)
			{
				for(var i=0;i<ret.data.length;i++)
				{
					var one=ret.data[i];
					var aid=parseInt(one.aid);
					if(one.body)
					{
						var arr=JSON.parse(one.body);
						var start=parseInt(arr[0][0]);
						var end=parseInt(arr[0][0]);
					}
					else
					{
						var start=0;
						var end=0;
					}
					label.push([aid,start,end]);
				}
			}
			item.label=JSON.stringify(label);
			return item;
		},
		//处理
		dealData:function(label){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,data:'表不存在'};
			
			//当前时间
			var date=new Date();
			var nowtime=date.getStamp();
			
			for(var i=0;i<label.length;i++)
			{
				var aid=label[i][0] || 0;
				var start=parseInt(label[i][1]) || 0;
				var end=parseInt(label[i][2]) || 0;
				var isover=label[i][3] || 0;
				var delscore=label[i][4] || 0;
				
				var post={};
				post.edittime=nowtime;
				//标签内容加载完毕 10分钟后可以重新加载
				if(isover)
				{
					post.expiretime=nowtime+8*60*60;
				}
				else
				{
					post.expiretime=0;
				}
				
				var ret=this.getItem(aid);
				//标签存在
				if(ret.status)
				{
					var item=ret.data;
					var score=parseInt(ret.data.score) || 0;
					score-=delscore;
					//积分小于0的标签 剔除
					if(score<0 && aid>0)
					{
						Db.delete(table,'aid='+aid);
						continue;
					}
					post.score=score;
					
					//内容位置
					if(item.body)
					{
						var arr=JSON.parse(item.body);
						var old_start=parseInt(arr[0][0]);
						var old_end=parseInt(arr[0][1]);
						
						//新的开始id 大于 最大的id 在数组开始位置插入
						if(start>old_end)
						{
							arr.unshift([start,end]);
							if(arr.length>4) arr.splice(3,2);
						}
						else
						{
							arr[0][0]=start;
							arr[0][1]=end;
							if(arr.length>1)
							{
								for(var j=1;j<arr.length;j++)
								{
									var old_start=parseInt(arr[j][0]);
									var old_end=parseInt(arr[j][0]);
									//新开始位置  大于该段开始位置
									if(old_start<start)
									{
										//新开始位置  大于该段结束位置
										if(old_end<start)
										{
											arr.splice(1,j-1);
										}
										else
										{
											arr[0][0]=old_start;
											arr.splice(1,j);
										}
									}
								}
							}
						}
						post.body=JSON.stringify(arr);
					}
					else
					{
						post.body=JSON.stringify([[start,end]]);
					}
					var ret=Db.update(table,post,'aid='+aid);
					if(!ret.status)
					{
						Log.debug('修改标签失败'+JSON.stringify(ret));
						return ret;
					}
				}
				else //标签不存在
				{
					post.aid=aid;
					post.score=0;
					post.body=JSON.stringify([[start,end]]);
					var ret=Db.insert(table,post);
					if(!ret.status)
					{
						Log.debug('添加标签失败'+JSON.stringify(ret));
						return ret;
					}
				}
			}
			return {status:true,data:'成功'};
		},
		//查询数据
		getItem:function(aid){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,data:'表不存在'};
			aid=aid || 0;
			var param={};
			param.where=[];
			param.where='aid ='+aid;
			var ret=Db.getItem(table,param);
			return ret;
		},
		//设置分值
		score:function(aid,score,title){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,data:'表不存在'};
			var post={};
			var date=new Date();
			post.edittime=date.getStamp();//修改时间
			post.score=score;
			
			if(title) post.title=title;
			ret=this.getItem(aid);
			if(ret.status)
			{
				var score=parseInt(ret.data.score);
				if(score) post.score+=score;
				var ret=Db.update(table,post,'aid='+aid);
				return ret;
			}
			else
			{
				post.expiretime=post.edittime;//过期时间
				post.score=score;
				post.aid=aid;
				var ret=Db.insert(table,post);
				return ret;
			}
		},
		//修改
		edit:function(item,aid){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,data:'表不存在'};
			if(typeof(item)!='object') return {status:false,data:'修改内容不存在'};
			aid=aid || 0;
			
			var post=item;
			var date=new Date();
			post.edittime=date.getStamp();
			var ret=Db.update(table,post,'aid='+aid);
			return ret;
		},
		//添加
		add:function(item){
			var table=this.getTable();
			//不支持缓存
			if(!table) return {status:false,msg:'表不存在'};
			
			var post={};
			post.aid=item.aid;
			var date=new Date();
			post.edittime=date.getStamp();	
			post.expiretime=item.expiretime || 0;
			post.score=item.score || 0;
			post.title=item.title || '';
			post.body=item.body || '';
			var ret=Db.insert(table,post);
			return ret;
		},
		//获取表
		getTable:function(){
			var table='news_label';
			if(this.istable) return table;
			
			var ret=Db.isTable(table);
			if(ret.status)
			{
				this.istable=1;
				return table;
			}
			var field='aid int PRIMARY KEY,edittime int,expiretime int,score int,title varchar(255), body TEXT';
			var ret=Db.create(table,field);
			if(ret.status)
			{
				this.istable=1;
				return table;
			}
			return false;
		}
	}
}